% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/web-services.R
\name{sample_metadata}
\alias{sample_metadata}
\title{Show metadata list from dataset sample}
\usage{
sample_metadata(url, datasetName, sampleName)
}
\arguments{
\item{url}{string url of server: It must contain the server address 
and base url; service name is added automatically}

\item{datasetName}{string name of dataset of interest}

\item{sampleName}{string name of sample of interest}
}
\value{
List of metadata in the form 'key = value'
}
\description{
It retrieves metadata of a specific sample in dataset using the proper 
GMQL web service available on a remote server
}
\details{
If error occurs, a specific error is printed
}
\examples{
## Login to GMQL REST services suite as guest

remote_url = "http://www.gmql.eu/gmql-rest/"
login_gmql(remote_url)

## This statement retrieves metadata of sample 'S_00000' from public 
## dataset 'Example_Dataset_1'

sample_metadata(remote_url, "public.Example_Dataset_1", "S_00000")


}
