% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/web-services.R
\name{show_schema}
\alias{show_schema}
\title{Show dataset schema}
\usage{
show_schema(url, datasetName)
}
\arguments{
\item{url}{string url of server: It must contain the server address 
and base url; service name is added automatically}

\item{datasetName}{name of dataset to get the schema;
if the dataset is a public dataset, we have to add "public." as prefix, 
as shown in the example below, otherwise no prefix is needed}
}
\value{
List of region schema fields. Every field in the list is described 
by:
\itemize{
\item{name: name of field (e.g. chr, start, end, strand, ...)}
\item{fieldType: (e.g. STRING, DOUBLE, ...)}
}
}
\description{
It shows the region attribute schema of a specific GMQL dataset on remote 
repository, using the proper GMQL web service available on a remote server
}
\details{
If error occurs, a specific error is printed
}
\examples{
## Login to GMQL REST services suite as guest

remote_url = "http://www.gmql.eu/gmql-rest/"
login_gmql(remote_url)

## Show schema of public dataset 'Example_Dataset_1'

list <- show_schema(remote_url, "public.Example_Dataset_1")

}
